/*
 * $Id: sigismember.c,v 1.1 2000/08/07 23:15:04 emmerson Exp $
 */

#include "udposix.h"
#include <signal.h>

#undef	SIGMASK
#define	SIGMASK(num)		((sigset_t)1 << (num)-1)


/*
 * Indicate whether or not a signal-mask contains a given signal.
 */
    int
sigismember(mask, num)
    const sigset_t	*mask;
    int			num;
{
    return SIGMASK(num) & *mask;
}
